-- Spongebob Mod Support
-- Orignally done by Typhlomence
-- ============================================================================
-- Civ IV Leader Traits
-- ============================================================================
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);
     
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,             TraitOne,                  TraitTwo)
VALUES      ('LEADER_SPONGEBOB',		'POLICY_CHARISMATIC_X',		'POLICY_DIPLOMATIC_X');

UPDATE Leaders 
SET Description = (CASE WHEN EXISTS(SELECT Type FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X' )
	THEN 'Spongebob [ICON_HAPPINESS_1][ICON_INFLUENCE]'
	ELSE 'TXT_KEY_LEADER_SPONGEBOB' END) 
WHERE Type = 'LEADER_SPONGEBOB';

-- ============================================================================
-- Ethnic Units / R.E.D.
-- ============================================================================
UPDATE Civilizations 
SET ArtStyleSuffix = (CASE WHEN EXISTS(SELECT ArtStyleSuffix FROM Civilizations WHERE ArtStyleSuffix = '_POLYNESIA' )
	THEN '_POLYNESIA'
	ELSE '_MED' END) 
WHERE Type = 'CIVILIZATION_BIKINI_BOTTOM';


--==========================================================================================================================
-- Gedemon's YNAEMP (+JFD's v23)
--==========================================================================================================================
/*
Tables (example below; replace Civilizations with MinorCivilizations where appropriate):
   
v22
    Civilizations_YagemRequestedResource (Earth Giant)
    Civilizations_YahemRequestedResource (Earth Huge)
    Civilizations_GreatestEarthRequestedResource 
    Civilizations_EuroLargeRequestedResource
     
v23
    Civilizations_EuroGiantRequestedResource 
    Civilizations_EastAsiaStartPosition 
    Civilizations_ApennineStartPosition
    Civilizations_BritishIslesStartPosition
    Civilizations_NorthEastAsiaStartPosition
    Civilizations_AegeanStartPosition
    Civilizations_NorthAtlanticStartPosition
    Civilizations_PacificStartPosition
    Civilizations_SouthPacificStartPosition
    Civilizations_NorthWestEuropeStartPosition
    Civilizations_CaribbeanStartPosition
    Civilizations_AsiaStartPosition
    Civilizations_MediterraneanStartPosition
    Civilizations_MesopotamiaStartPosition
    Civilizations_AfricaLargeStartPosition
    Civilizations_NileValleyStartPosition
    Civilizations_AmericasStartPosition
 
*/
--==========================================================================================================================
-- Civilizations_YagemStartPosition (Earth Giant)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_YagemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YagemStartPosition
            (Type,                          X,      Y)
 VALUES  ('CIVILIZATION_BIKINI_BOTTOM',     105,     39);
--==========================================================================================================================
-- Civilizations_YahemStartPosition (Earth Huge)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_YahemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YahemStartPosition
            (Type,                          X,      Y)
VALUES      ('CIVILIZATION_BIKINI_BOTTOM',       125,      37);
--==========================================================================================================================
-- Civilizations_PacificStartPosition(Pacific)
--==========================================================================================================================	
CREATE TABLE IF NOT EXISTS Civilizations_PacificStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_PacificStartPosition
        (Type,                          X,      Y)
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',     63,     42);

--==========================================================================================================================
-- Civilizations_SouthPacificStartPosition(South Pacific)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_SouthPacificStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_SouthPacificStartPosition
        (Type,                          X,      Y)
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',     7,     78);

--==========================================================================================================================
-- Civilizations_SouthPacificGiantStartPosition (South Pacific Giant)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_SouthPacificGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_SouthPacificGiantStartPosition
		(Type,									X,		Y,		AltX,	AltY)
VALUES	('CIVILIZATION_BIKINI_BOTTOM',			49,		79,		null,	null);

--==========================================================================================================================
-- Civilizations_CordiformStartPosition (Earth Standard)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_CordiformStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_CordiformStartPosition
			(Type,							X,	Y)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	X,	Y
FROM Civilizations_CordiformStartPosition WHERE (Type = 'CIVILIZATION_POLYNESIA');

--==========================================================================================================================
-- Civilizations_GreatestEarthStartPosition (Earth Greatest)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_GreatestEarthStartPosition (Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_GreatestEarthStartPosition 
			(Type,							X,	Y)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	X,	Y
FROM Civilizations_GreatestEarthStartPosition  WHERE (Type = 'CIVILIZATION_POLYNESIA');

--==========================================================================================================================
-- Civilizations_YahemRequestedResource (Earth Huge)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_YahemRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_YahemRequestedResource 
        (Type,                          Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT  ('CIVILIZATION_BIKINI_BOTTOM'),    Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YahemRequestedResource WHERE Type = 'CIVILIZATION_POLYNESIA';
--==========================================================================================================================

--==========================================================================================================================
-- Civilizations_YagemRequestedResource (Earth Giant)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_YagemRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_YagemRequestedResource
        (Type,                          Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT  ('CIVILIZATION_BIKINI_BOTTOM'),    Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YagemRequestedResource WHERE Type = 'CIVILIZATION_POLYNESIA';
--==========================================================================================================================

--==========================================================================================================================
-- Civilizations_GreatestEarthRequestedResource (Earth Greatest)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_GreatestEarthRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_GreatestEarthRequestedResource 
        (Type,                          Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT  ('CIVILIZATION_BIKINI_BOTTOM'),    Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_GreatestEarthRequestedResource WHERE Type = 'CIVILIZATION_POLYNESIA';
--==========================================================================================================================

--==========================================================================================================================
-- Civilizations_SouthPacificGiantRequestedResource (South Pacific Giant)
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS Civilizations_SouthPacificGiantRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_SouthPacificGiantRequestedResource
        (Type,                          Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT  ('CIVILIZATION_BIKINI_BOTTOM'),    Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_SouthPacificGiantRequestedResource WHERE Type = 'CIVILIZATION_POLYNESIA';

-- ============================================================================
-- Cultural Diversity by JFD
-- ============================================================================
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_CultureTypes (
    CivilizationType                            text    REFERENCES Civilizations(Type)          default null,
    CultureType                                 text                                            default null,
    IdealsTag								    text                                            default null,
    ArtDefineTag                                text                                            default null,
    SplashScreenTag                             text                                            default null,
    SoundtrackTag                               text                                            default null,
    UnitDialogueTag                             text                                            default null);

INSERT INTO Civilization_JFD_CultureTypes
			(CivilizationType,				CultureType,		IdealsTag,				ArtDefineTag,		SplashScreenTag,   SoundtrackTag,   UnitDialogueTag)
VALUES		('CIVILIZATION_BIKINI_BOTTOM',	'JFD_Oceanic',	    'JFD_Oceanic',			 'JFD_Oceanic',		   'JFD_Oceanic',    'JFD_Oceanic', null);

--==========================================================================================================================
-- JFD's Exploration Continued Expanded
--==========================================================================================================================
-- Civilization_JFD_ColonialCityNames
------------------------------  
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_ColonialCityNames (
    CivilizationType                            text    REFERENCES Civilizations(Type)      default null,
    ColonyName                                  text                                        default null,
    LinguisticType                              text                                        default null,
    CultureType                                 text                                        default null);
 
INSERT OR REPLACE INTO Civilization_JFD_ColonialCityNames
            (CivilizationType,                  ColonyName,                                 LinguisticType)
VALUES      ('CIVILIZATION_BIKINI_BOTTOM', null,                                       'JFD_Oceanic'),
            ('CIVILIZATION_BIKINI_BOTTOM', 'TXT_KEY_COLONY_NAME_BIKINI_BOTTOM_0',    null),
            ('CIVILIZATION_BIKINI_BOTTOM', 'TXT_KEY_COLONY_NAME_BIKINI_BOTTOM_1',    null),
            ('CIVILIZATION_BIKINI_BOTTOM', 'TXT_KEY_COLONY_NAME_BIKINI_BOTTOM_2',    null),
            ('CIVILIZATION_BIKINI_BOTTOM', 'TXT_KEY_COLONY_NAME_BIKINI_BOTTOM_3',    null),
            ('CIVILIZATION_BIKINI_BOTTOM', 'TXT_KEY_COLONY_NAME_BIKINI_BOTTOM_4',    null),
            ('CIVILIZATION_BIKINI_BOTTOM', 'TXT_KEY_COLONY_NAME_BIKINI_BOTTOM_5',    null),
            ('CIVILIZATION_BIKINI_BOTTOM', 'TXT_KEY_COLONY_NAME_BIKINI_BOTTOM_6',    null),
            ('CIVILIZATION_BIKINI_BOTTOM', 'TXT_KEY_COLONY_NAME_BIKINI_BOTTOM_7',    null),
            ('CIVILIZATION_BIKINI_BOTTOM', 'TXT_KEY_COLONY_NAME_BIKINI_BOTTOM_8',    null);

------------------------------  
-- Civilization_JFD_RevolutionaryCivilizationsToSpawn
------------------------------  
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_RevolutionaryCivilizationsToSpawn (
    CivilizationType                            text    REFERENCES Civilizations(Type)      default null,
    RevolutionaryCivilizationType               text    REFERENCES Civilizations(Type)      default null);
 
 -- Vanilla Civs
INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
            (CivilizationType,                  RevolutionaryCivilizationType)
VALUES      ('CIVILIZATION_POLYNESIA',              'CIVILIZATION_BIKINI_BOTTOM'),
            ('CIVILIZATION_BIKINI_BOTTOM', 'CIVILIZATION_POLYNESIA');

-- Modded Civs
-- Spongebob Civs
INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_KRUSTY_KRAB')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_KRUSTY_KRAB');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_PATRICKIA')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_PATRICKIA');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_CHUM_BUCKET')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_CHUM_BUCKET');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_NEW_TEXAS')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_NEW_TEXAS');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_SB_ATLANTIS')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_SB_ATLANTIS');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_GHOST_CREW')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_GHOST_CREW');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_MERMAIDMEN')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_MERMAIDMEN');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_BEACHGOERS')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_BEACHGOERS');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_PUFFS')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_PUFFS');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_SNAILS')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_SNAILS');

-- Other Modded Civs
INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_MC_MAORI')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_MC_MAORI');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_MC_MAORI'),	('CIVILIZATION_BIKINI_BOTTOM')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_BIKINI_BOTTOM');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_MC_RAPA_NUI')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_MC_RAPA_NUI');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_MC_RAPA_NUI'),	('CIVILIZATION_BIKINI_BOTTOM')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_BIKINI_BOTTOM');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_MC_TONGA')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_MC_TONGA');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_MC_TONGA'),	('CIVILIZATION_BIKINI_BOTTOM')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_BIKINI_BOTTOM');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_BIKINI_BOTTOM'),	('CIVILIZATION_MC_HAWAII')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_MC_HAWAII');

INSERT INTO Civilization_JFD_RevolutionaryCivilizationsToSpawn
			(CivilizationType,						RevolutionaryCivilizationType)
SELECT		('CIVILIZATION_MC_HAWAII'),	('CIVILIZATION_BIKINI_BOTTOM')
WHERE EXISTS (SELECT Type FROM Civilizations WHERE Type = 'CIVILIZATION_BIKINI_BOTTOM');


-- ============================================================================
-- Piety by JFD
-- ============================================================================
-- Flavors
------------------------------------------------------------
INSERT OR REPLACE INTO Flavors
            (Type)
VALUES      ('FLAVOR_JFD_RELIGIOUS_INTOLERANCE');
 
INSERT INTO Leader_Flavors
            (LeaderType,			FlavorType,								Flavor)
VALUES      ('LEADER_SPONGEBOB',   'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',		0);

-- ============================================================================
-- Sovereignty by JFD
-- ============================================================================
-- Civilization_JFD_Governments
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Governments (
	CivilizationType  				text 		REFERENCES Civilizations(Type) 					default null,
	CultureType	  					text 		 												default null,
	LegislatureName					text														default	null,
	OfficeTitle						text														default	null,
	GovernmentType					text														default	null,
	Weight							integer														default	0);

INSERT INTO Civilization_JFD_Governments
		(CivilizationType,				LegislatureName, OfficeTitle, GovernmentType, Weight)
SELECT	('CIVILIZATION_BIKINI_BOTTOM'),	LegislatureName, OfficeTitle, GovernmentType, Weight
FROM Civilization_JFD_Governments WHERE CivilizationType = 'CIVILIZATION_POLYNESIA';	

------------------------------------------------------------	
-- Civilization_JFD_HeadsOfGovernment	
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 	
	Civilization_JFD_HeadsOfGovernment (	
	CivilizationType  				text 		REFERENCES Civilizations(Type) 					default null,
	CultureType						text 		 												default null,
	HeadOfGovernmentName			text 		 												default null);

INSERT INTO Civilization_JFD_HeadsOfGovernment
        (CivilizationType,      		HeadOfGovernmentName)
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_1'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_2'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_3'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_4'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_5'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_6'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_7'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_8'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_9'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_10'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_11'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_12'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_13'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_14'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_15'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_16'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_17'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_18'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_19'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_20'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_21'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_22'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_23'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_24'),
        ('CIVILIZATION_BIKINI_BOTTOM',	'TXT_KEY_JFD_HEAD_OF_GOVERNMENT_TITLE_CIVILIZATION_BIKINI_BOTTOM_25');

------------------------------------------------------------
-- Civilization_JFD_Titles
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Titles (
	CivilizationType  				text 		REFERENCES Civilizations(Type) 					default null,
	CultureType						text 		 												default null,
	ReligionType					text 		REFERENCES Religions(Type) 						default null,
	DefaultTitle					text 		 												default null,
	UniqueTitle						text 		 												default null,
	UseAdjective					boolean														default 0);	

INSERT INTO Civilization_JFD_Titles
		(CivilizationType,						DefaultTitle,	UniqueTitle)
SELECT	'CIVILIZATION_BIKINI_BOTTOM',				DefaultTitle,	UniqueTitle
FROM Civilization_JFD_Titles WHERE CivilizationType = 'CIVILIZATION_POLYNESIA';

------------------------------------------------------------
-- Civilization_JFD_Politics
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Politics (
	CivilizationType  					text 		REFERENCES Civilizations(Type) 					default null,
	PoliticsType  						text 														default null,
	UniqueName							text														default	null);

INSERT INTO Civilization_JFD_Politics
		(CivilizationType,					PoliticsType, UniqueName)
SELECT	'CIVILIZATION_BIKINI_BOTTOM',			PoliticsType, UniqueName
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_CLERGY',  			  'TXT_KEY_JFD_PARTY_JFD_CLERGY_BIKINI_BOTTOM'),
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_NOBILITY',  			'TXT_KEY_JFD_PARTY_JFD_NOBILITY_BIKINI_BOTTOM'),
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_REVOLUTIONARY',  'TXT_KEY_JFD_PARTY_JFD_REVOLUTIONARY_BIKINI_BOTTOM'),
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_CONSERVATIVE',  	'TXT_KEY_JFD_PARTY_JFD_CONSERVATIVE_BIKINI_BOTTOM'),
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_LIBERAL',  			 'TXT_KEY_JFD_PARTY_JFD_LIBERAL_BIKINI_BOTTOM'),
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_REACTIONARY', 	 'TXT_KEY_JFD_PARTY_JFD_REACTIONARY_BIKINI_BOTTOM'),
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_SOCIALIST',  		   'TXT_KEY_JFD_PARTY_JFD_SOCIALIST_BIKINI_BOTTOM'),
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_COMMUNIST',  		   'TXT_KEY_JFD_PARTY_JFD_COMMUNIST_BIKINI_BOTTOM'),
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_FACIST',               'TXT_KEY_JFD_PARTY_JFD_FASCIST_BIKINI_BOTTOM'),
VALUES  ('CIVILIZATION_BIKINI_BOTTOM',   'PARTY_JFD_LIBERTARIAN',      'TXT_KEY_JFD_PARTY_JFD_LIBERTARIAN_BIKINI_BOTTOM');

------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_REFORM_GOVERNMENT'),
		('FLAVOR_JFD_REFORM_CULTURE'),
		('FLAVOR_JFD_REFORM_ECONOMIC'),
		('FLAVOR_JFD_REFORM_FOREIGN'),
		('FLAVOR_JFD_REFORM_INDUSTRY'),
		('FLAVOR_JFD_REFORM_MILITARY'),
		('FLAVOR_JFD_REFORM_RELIGION');

INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,							Flavor)
VALUES	('LEADER_SPONGEBOB',		'FLAVOR_JFD_REFORM_GOVERNMENT',		4),
		('LEADER_SPONGEBOB',		'FLAVOR_JFD_REFORM_CULTURE',		3),
		('LEADER_SPONGEBOB',		'FLAVOR_JFD_REFORM_ECONOMIC',		4),
		('LEADER_SPONGEBOB',		'FLAVOR_JFD_REFORM_FOREIGN',		3),
		('LEADER_SPONGEBOB',		'FLAVOR_JFD_REFORM_INDUSTRY',		6),
		('LEADER_SPONGEBOB',		'FLAVOR_JFD_REFORM_MILITARY',		3),
		('LEADER_SPONGEBOB',		'FLAVOR_JFD_REFORM_RELIGION',		2);

--==========================================================================================================================
-- JFD and Pouakai's Enlightment Era
--==========================================================================================================================
-- Buildings
------------------------------	
INSERT OR REPLACE INTO Buildings 	
		(Type, 						Happiness, TradeRouteSeaDistanceModifier,	SpecialistCount, SpecialistType, BuildingClass, Cost, GoldMaintenance, PrereqTech, Description, 						Civilopedia, 							Help, 										Strategy,										ArtDefineTag, MinAreaSize, ConquestProb, HurryCostModifier, PortraitIndex, IconAtlas)
SELECT	'BUILDING_PINEAPPLE',	Happiness, 30,								SpecialistCount, SpecialistType, BuildingClass, Cost, GoldMaintenance, PrereqTech, 'TXT_KEY_BUILDING_JFD_WINE_CELLAR', 'TXT_KEY_CIV5_JFD_WINE_CELLAR_TEXT', 	'TXT_KEY_BUILDING_JFD_WINE_CELLAR_HELP', 	'TXT_KEY_BUILDING_JFD_WINE_CELLAR_STRATEGY_EE', ArtDefineTag, MinAreaSize, ConquestProb, HurryCostModifier, 3, 			'JFD_TWO_SICILIES_ATLAS'
FROM Buildings WHERE Type = 'BUILDING_EE_MENAGERIE'
AND EXISTS (SELECT * FROM Technologies WHERE Type = 'TECH_EE_FLINTLOCK');
------------------------------	
-- Building_ClassesNeededInCity
------------------------------		
DELETE FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_PINEAPPLE'
AND EXISTS (SELECT * FROM Technologies WHERE Type = 'TECH_EE_FLINTLOCK');
INSERT INTO Building_ClassesNeededInCity 	
		(BuildingType, 				BuildingClassType)
SELECT	'BUILDING_PINEAPPLE',	BuildingClassType
FROM Building_ClassesNeededInCity WHERE BuildingType = 'BUILDING_EE_MENAGERIE';
------------------------------	
-- Building_YieldChanges
------------------------------		
DELETE FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_EE_MENAGERIE'
AND EXISTS (SELECT * FROM Technologies WHERE Type = 'TECH_EE_FLINTLOCK');
------------------------------
-- Civilization_BuildingClassOverrides
------------------------------	
UPDATE Civilization_BuildingClassOverrides
SET BuildingClassType = 'BUILDINGCLASS_EE_MENAGERIE'
WHERE CivilizationType = 'CIVILIZATION_BIKINI_BOTTOM'
AND EXISTS (SELECT * FROM Technologies WHERE Type = 'TECH_EE_FLINTLOCK');

--==========================================================================================================================    
-- JFD's and Pouakai's MERCENARIES
--==========================================================================================================================
-- Flavors
------------------------------------------------------------    
INSERT OR REPLACE INTO Flavors 
        (Type)
VALUES  ('FLAVOR_JFD_MERCENARY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------    
--A value of 0-10 may be set. This value determines the likelihood that a leader will take out Mercenary Contracts (provided they have the funds).
--A value of 10 means this civilization will always take a Contract if available. A value of 0 means this civilization will never take out a contract.
INSERT INTO Leader_Flavors
        (LeaderType,                FlavorType,                 Flavor)
VALUES  ('LEADER_SPONGEBOB',    'FLAVOR_JFD_MERCENARY',     2);
--==========================================================================================================================  

-- ============================================================================
-- Hazel's Map Labels
-- ============================================================================
CREATE TABLE IF NOT EXISTS ML_CivCultures (ID INTEGER PRIMARY KEY AUTOINCREMENT, CivType TEXT, CultureType TEXT, CultureEra TEXT DEFAULT 'ANY');
INSERT INTO ML_CivCultures
			(CivType,							CultureType,	CultureEra)
VALUES		('CIVILIZATION_BIKINI_BOTTOM',		'PACIFIC',		'ANY');

--==========================================================================================================================
-- JFD's Chartered Ventures
--==========================================================================================================================
-- Civilization_JFD_Currencies
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Currencies (
	CivilizationType  				text 		REFERENCES Civilizations(Type) 	default null,
	CurrencyType	  				text 		  								default null);

INSERT INTO Civilization_JFD_Currencies	
		(CivilizationType,			CurrencyType)
SELECT	'CIVILIZATION_BIKINI_BOTTOM',	CurrencyType
FROM Civilization_JFD_Currencies WHERE CivilizationType = 'CIVILIZATION_POLYNESIA';
--==========================================================================================================================  


